#version 120
// (C) 2009 Dmytry Lavrov. All rights reserved.
varying vec3 delta;
varying vec2 txpos_f;
uniform float t;

vec3 AmpColor(float a){
	return pow(vec3(cos(a+4.1)*0.5+0.5, cos(a+2.05)*0.5+0.5, cos(a)*0.5+0.5),vec3(1.2,1.7,5.0));
}

void main (void)
{

	float period=400;
	float tt=mod(t-txpos_f.x,period);
	float br=1.0+0.5/(0.01+tt*0.1);
	br*=1.0-tt/period;
	vec3 col=(15.0*AmpColor(0.534563*(t*2.23463456-txpos_f.x))+vec3(1.0))*br;

	float q=br/length(delta);
	//float q=1.0/length(delta);

	gl_FragColor = vec4(gl_Color.rgb*q, 1.0);//vec4(0.1, 0.1, 0.1, 1.0);
	//gl_FragColor = vec4(gl_Color.rgb*col*q, 1.0);//vec4(0.1, 0.1, 0.1, 1.0);
}

