#version 120
// (C) 2010 Dmytry Lavrov. All rights reserved.
varying vec2 texture_coordinate;
uniform sampler2D my_color_texture;
uniform float blur;
uniform float bias;
void main()
{
	vec4 c = texture2D(my_color_texture, texture_coordinate);
	float a=clamp((c.a-bias+blur*0.5)/blur,0.0,1.0);
	gl_FragColor=a*gl_Color;

}
