#version 120
// (C) Dmytry Lavrov. All rights reserved.
/// Does not scale correctly.

const float brf=10000.0;

uniform float brightness;
uniform float interp_t;
attribute vec3 old_vertex;
attribute float lifetime;
attribute float mass;

void main(void)
{
	vec4 camera_pos = gl_ModelViewMatrixInverse[3];
  vec3 interp_vert = old_vertex + (gl_Vertex.xyz-old_vertex) * interp_t;
  vec4 pos = gl_ModelViewProjectionMatrix * vec4(interp_vert, 1.0);
  vec3 delta=interp_vert-camera_pos.xyz;
  float l=dot(delta,delta);
  float q=exp2(255.0*gl_Color.a-119.0);
  gl_Position=pos;
  float br=mass;
  gl_FrontColor=vec4(gl_Color.rgb*(brf*br*q*brightness/l),1.0);
}

