#version 120
// (C) 2009 Dmytry Lavrov. All rights reserved.
varying vec3 delta;
varying float x;
varying float br;

vec3 TemperatureToColor(float t){
	const float t_white=6000.0;
	const float b_r=22135.0;
	const float b_g=26159.0;
	const float b_b=31972.0;
	const float a_r=exp(b_r/6000.0)-1.0;
	const float a_g=exp(b_g/6000.0)-1.0;
	const float a_b=exp(b_b/6000.0)-1.0;
	return vec3(a_r/(exp(b_r/t)-1.0), a_g/(exp(b_g/t)-1.0), a_b/(exp(b_b/t)-1.0));
}

void main (void)
{
	float q=1.0/length(delta);
	gl_FragColor = vec4(br*q*TemperatureToColor(pow(clamp(x,0.0001,1.0),3.0)*40000.0), 1.0);//vec4(0.1, 0.1, 0.1, 1.0);
}

